(function() {
  var $dataEditor, $formDelete;

  $formDelete = $('#form-delete');

  $('[data-delete]').on('click', function(e) {
    var $this;
    e.preventDefault();
    $this = $(this);
    $formDelete.attr('action', $this.attr('href'));
    return $('#modal-delete').modal();
  });

    $('#btn-confirm-delete').on('click', function(e) {
        $(this).prop('disabled', true);
        $formDelete.trigger('submit');
    });

  window.message = function(message, title) {
    $('#modal-message-text').html(message);
    if (title !== void 0) {
      $('#modal-message-title').html(title);
    } else {
      $('#modal-message-title').html('Mensagem');
    }
    return $('#modal-message').modal('show');
  };

  $.datepicker.setDefaults({
    changeMonth: true,
    changeYear: true,
    dateFormat: 'dd/mm/yy',
    showButtonPanel: true,
    dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado', 'Domingo'],
    dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
    dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
    monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
    monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
    nextText: 'Próximo',
    prevText: 'Anterior'
  });

  $('[data-datepicker]').datepicker();

  $dataEditor = $('[data-editor]');

  CKEDITOR.config.forcePasteAsPlainText = true;

  $dataEditor.each(function(e) {
    return CKEDITOR.replace($(this).attr('id'), {
      toolbar: [
        {
          name: 'basicstyles',
          items: ['Bold', 'Italic']
        }, {
          name: 'links',
          items: ['Link', 'Unlink']
        }, {
          name: 'paragraph',
          items: ['NumberedList', 'BulletedList']
        }
      ]
    });
  });

}).call(this);
