(function() {
  var App;

  App = App || {};

  App.Pages = {
    init: function() {
      this.$actionTitle = $('#actionTitle');
      this.$actionType = $('#actionType');
      this.$actions = $('#actions');
      this.$template = $('#template-action');
      return this.listen();
    },
    listen: function() {
      this.listenAddAction();
      return this.listenDeleteAction();
    },
    listenAddAction: function() {
      var self;
      self = this;
      return $('#js-add-action').on('click', function(e) {
        e.preventDefault();
        return self.addAction();
      });
    },
    listenDeleteAction: function() {
      var self;
      self = this;
      return $('[data-delete-action]').on('click', function(e) {
        e.preventDefault();
        return self.removeAction($(this));
      });
    },
    addAction: function() {
      var html, title, type;
      title = this.$actionTitle.val();
      type = this.$actionType.val();
      html = this.$template.html();
      html = html.replace(/<%=title%>/ig, title);
      html = html.replace(/<%=type%>/ig, type);
      this.$actions.append(html);
      this.clearForm();
      return this.listenDeleteAction();
    },
    clearForm: function() {
      this.$actionTitle.val('');
      return this.$actionType.val('');
    },
    removeAction: function($btn) {
      var $box1, $box2;
      $box2 = $btn.parent();
      $box1 = $box2.prev();
      $box1.remove();
      return $box2.remove();
    }
  };

  App.Pages.init();

}).call(this);
