<?php namespace EscapeWork\Manager\Controllers;

use EscapeWork\Manager\Facades\UserAuth;
use View;
use Msg;
use Input;
use Redirect;
use Config;

class LoginController extends ManagerController
{

    /**
     * Exibindo a tela de login
     */
    public function index()
    {
        if (UserAuth::check()) {
            return Redirect::route('manager.home');
        }

        return View::make(Config::get('manager::views.login'));
    }

    /**
     * Fazendo o login
     */
    public function login()
    {
        $credentials = array(
            'email'    => Input::get('email'),
            'password' => Input::get('password')
        );

        if (UserAuth::attempt($credentials, Input::get('remember') == 1)) {
            return Redirect::route(Config::get('manager::redirect_login'))->with('message', 'Login efetuado com sucesso!');
        } else {
            return Redirect::route('manager.login')->with('error', 'Login e/ou senha inválidos');
        }
    }

    /**
     * Logout
     */
    public function logout()
    {
        UserAuth::logout();

        return Redirect::route('manager.home')
                ->with('info', 'Você foi deslogado do sistema');
    }
}
