<?php namespace EscapeWork\Manager\Controllers;

use View;
use File;
use Redirect;
use Config;

class LogsController extends ManagerController
{

    public function index()
    {
        $logs = File::files(storage_path().'/logs');

        $view       = View::make(Config::get('manager::views.logs.index'));
        $view->logs = $logs;

        return $view;
    }

    public function show($log)
    {
        if (! File::exists(storage_path().'/logs/'.$log)) {
            return Redirect::route('manager.logs.index');
        }

        $view          = View::make(Config::get('manager::views.logs.show'));
        $view->log     = $log;
        $view->content = File::get(storage_path().'/logs/'.$log);

        return $view;
    }

    public function destroy($log)
    {
        if (! File::exists(storage_path().'/logs/'.$log)) {
            return Redirect::route('manager.logs.index');
        }

        File::delete(storage_path().'/logs/'.$log);

        return Redirect::route('manager.logs.index')
                ->with('message', 'O arquivo <strong>'.$log.'</strong> foi excluído com sucesso!');
    }

    public function destroyAll()
    {
        File::cleanDirectory(storage_path().'/logs');

        return Redirect::route('manager.logs.index')
                ->with('message', 'Os logs foram excluídos');
    }
}
