<?php namespace EscapeWork\Manager\Models;

use EscapeWork\LaravelHelpers\Eloquent;

class Page extends Eloquent
{

    /**
     * Table
     */
    protected $table = 'manager_pages';

    /**
     * Sluggable
     */
    protected $sluggable = true;

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id',
        'title',
        'slug',
        'created_at',
        'updated_at',
    );

    /**
     * Page hasMany PageActions
     */
    public function actions()
    {
        return $this->hasMany('EscapeWork\Manager\Models\PageAction');
    }
}
