<?php namespace EscapeWork\Manager\Models;

use EscapeWork\LaravelHelpers\Eloquent;
use Illuminate\Database\Eloquent\Collection;

class PageAction extends Eloquent
{

    /**
     * Table
     */
    protected $table = 'manager_page_actions';

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id',
        'page_id',
        'title',
        'type',
    );

    /**
     * Default actions
     */
    public $defaultActions = array(
        array('type' => 'read',    'title' => 'Listar'),
        array('type' => 'create',  'title' => 'Inserir'),
        array('type' => 'update',  'title' => 'Editar'),
        array('type' => 'destroy', 'title' => 'Excluir'),
    );

    /**
     * Returning a collection of default actions
     */
    public function getDefaultActions()
    {
        $models = array();
        foreach ($this->defaultActions as $action) {
            $pageAction        = new PageAction();
            $pageAction->title = $action['title'];
            $pageAction->type  = $action['type'];

            $models[] = $pageAction;
        }

        return new Collection($models);
    }
}
