<?php namespace EscapeWork\Manager\Providers;

use EscapeWork\Manager\Exceptions\UnauthorizedExcpetion;
use Illuminate\Support\ServiceProvider;
use Illuminate\Database\Eloquent\ModelNotFoundException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Response;

class ErrorServiceProvider extends ServiceProvider
{

    public function register()
    {
        $app = $this->app;

        $this->app->error(function(NotFoundHttpException $exception, $code) use ($app)
        {
            return Response::view('manager::errors.404', array(), 404);
        });

        $this->app->error(function(ModelNotFoundException $exception, $code) use ($app)
        {
            return Response::view('manager::errors.404', array(), 404);
        });

        # ====================================================================
        # UnauthorizedExcpetion
        # ====================================================================
        $this->app->error(function(UnauthorizedExcpetion $exception)
        {
            return Response::view('manager::unauthorized', array(), 401);
        });
    }
}
