<?php namespace EscapeWork\Manager\Seeds;

use Seeder;
use DateTime;
use EscapeWork\Manager\Models\Page;
use EscapeWork\Manager\Models\PageAction;

class PageTableSeeder extends Seeder
{

    public function run()
    {
        $this->seedUserPage();
        $this->seedProfilePage();
        $this->seedPagesPage();
    }

    protected function seedUserPage()
    {
        if (! Page::where('slug', '=', 'usuarios')->first()) {
            $page = Page::create(array(
                'title'           => 'Usuários',
                'slug'            => 'usuarios',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Listar registros',
                'type'            => 'read',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Inserir registros',
                'type'            => 'create',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Editar registros',
                'type'            => 'update',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Excluir registros',
                'type'            => 'destroy',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));
        }
    }

    protected function seedProfilePage()
    {
        if (! Page::where('slug', '=', 'roles')->first()) {
            $page = Page::create(array(
                'title'           => 'Perfis',
                'slug'            => 'roles',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Listar registros',
                'type'            => 'read',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Inserir registros',
                'type'            => 'create',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Editar registros',
                'type'            => 'update',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Excluir registros',
                'type'            => 'destroy',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));
        }
    }

    protected function seedPagesPage()
    {
        if (! Page::where('slug', '=', 'pages')->first()) {
            $page = Page::create(array(
                'title'           => 'Páginas',
                'slug'            => 'pages',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Listar registros',
                'type'            => 'read',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Inserir registros',
                'type'            => 'create',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Editar registros',
                'type'            => 'update',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));

            PageAction::create(array(
                'page_id'         => $page->id,
                'title'           => 'Excluir registros',
                'type'            => 'destroy',
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));
        }
    }
}
