<?php

return array(

    /*
    |--------------------------------------------------------------------------
    | URL do manager
    |--------------------------------------------------------------------------
    */
    'url' => '/manager',

    /*
    |--------------------------------------------------------------------------
    | Home Route
    | - A rota para a página inicial (link do logo no manager)
    |--------------------------------------------------------------------------
    */
    'routes' => array(
        'home' => 'home'
    ),

    /*
    |--------------------------------------------------------------------------
    | Página para redirecionar após o login
    |--------------------------------------------------------------------------
    */
    'redirect_login' => 'manager.home',

    /*
    |--------------------------------------------------------------------------
    | Título e subtítulo do manager
    |--------------------------------------------------------------------------
    */
    'title'    => 'escape.manager',
    'subtitle' => 'Manager',

    /*
    |--------------------------------------------------------------------------
    | Views que podem ser sobreescritas
    |--------------------------------------------------------------------------
    */
    'views' => array(
        'home'    => 'manager::home',
        'login'   => 'manager::login',
        'menu'    => null,

        'layouts' => array(
            'master' => 'manager::layouts.master',
            'email'  => 'manager::layouts.email',
        ),

        'users' => array(
            'index' => 'manager::users.index',
            'form'  => 'manager::users.form',
        ),

        'pages' => array(
            'index' => 'manager::pages.index',
            'form'  => 'manager::pages.form',
        ),

        'roles' => array(
            'index' => 'manager::roles.index',
            'form'  => 'manager::roles.form',
        ),

        'logs' => array(
            'index' => 'manager::logs.index',
            'show'  => 'manager::logs.show',
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Controllers que podem ser sobreescritos
    |--------------------------------------------------------------------------
    */
    'controllers' => array(
        'home' => 'EscapeWork\Manager\Controllers\HomeController@index',

        'login' => array(
            'index'  => 'EscapeWork\Manager\Controllers\LoginController@index',
            'login'  => 'EscapeWork\Manager\Controllers\LoginController@login',
            'logout' => 'EscapeWork\Manager\Controllers\LoginController@logout',
        ),

        'users' => array(
            'index'   => 'EscapeWork\Manager\Controllers\UserController@index',
            'create'  => 'EscapeWork\Manager\Controllers\UserController@create',
            'store'   => 'EscapeWork\Manager\Controllers\UserController@store',
            'show'    => 'EscapeWork\Manager\Controllers\UserController@show',
            'edit'    => 'EscapeWork\Manager\Controllers\UserController@edit',
            'update'  => 'EscapeWork\Manager\Controllers\UserController@update',
            'destroy' => 'EscapeWork\Manager\Controllers\UserController@destroy',

            'forgot' => array(
                'index'  => 'EscapeWork\Manager\Controllers\UserController@sendResetPassword',
                'reset'  => 'EscapeWork\Manager\Controllers\UserController@getResetPassword',
                'update' => 'EscapeWork\Manager\Controllers\UserController@postResetPassword',
            ),
        ),

        'roles' => array(
            'index'   => 'EscapeWork\Manager\Controllers\RoleController@index',
            'create'  => 'EscapeWork\Manager\Controllers\RoleController@create',
            'store'   => 'EscapeWork\Manager\Controllers\RoleController@store',
            'show'    => 'EscapeWork\Manager\Controllers\RoleController@show',
            'edit'    => 'EscapeWork\Manager\Controllers\RoleController@edit',
            'update'  => 'EscapeWork\Manager\Controllers\RoleController@update',
            'destroy' => 'EscapeWork\Manager\Controllers\RoleController@destroy',
        ),

        'pages' => array(
            'index'   => 'EscapeWork\Manager\Controllers\PageController@index',
            'create'  => 'EscapeWork\Manager\Controllers\PageController@create',
            'store'   => 'EscapeWork\Manager\Controllers\PageController@store',
            'show'    => 'EscapeWork\Manager\Controllers\PageController@show',
            'edit'    => 'EscapeWork\Manager\Controllers\PageController@edit',
            'update'  => 'EscapeWork\Manager\Controllers\PageController@update',
            'destroy' => 'EscapeWork\Manager\Controllers\PageController@destroy',
        ),

        'logs' => array(
            'index'      => 'EscapeWork\Manager\Controllers\LogsController@index',
            'show'       => 'EscapeWork\Manager\Controllers\LogsController@show',
            'destroy'    => 'EscapeWork\Manager\Controllers\LogsController@destroy',
            'destroyAll' => 'EscapeWork\Manager\Controllers\LogsController@destroyAll',
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Favicon path, do manager::layout.master
    |--------------------------------------------------------------------------
    */
    'favicon_path' => '/assets/images/favicon.ico',
);
