<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateManagerRoleActions extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('manager_role_actions', function(Blueprint $table)
		{
			$table->engine = 'InnoDB';
            $table->integer('role_id')->unsigned();
            $table->integer('action_id')->unsigned();
            $table->integer('page_id')->unsigned()->nullable()->default(null);
            $table->primary(array('role_id', 'action_id'));
			$table->timestamps();

            $table->foreign('role_id')->references('id')->on('manager_roles')->onUpdate('CASCADE')->onDelete('CASCADE');
            $table->foreign('action_id')->references('id')->on('manager_page_actions')->onUpdate('CASCADE')->onDelete('CASCADE');
            $table->foreign('page_id')->references('id')->on('manager_pages')->onUpdate('CASCADE')->onDelete('CASCADE');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('manager_user_role_actions');
	}

}
