@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li class="active">Logs</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Logs</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.logs.destroyAll') }}" class="btn btn-danger" data-delete><i class="icon-trash icon-white"></i> excluir todos os logs</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    {{ Msg::getAll() }}

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Log</th>
                <th>Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($logs as $log)
                <tr>
                    <td>{{ str_replace(storage_path() . '/logs/', '', $log) }}</td>
                    <td>
                        <div class="btn-group">
                            <a href="{{ route('manager.logs.show', urlencode(str_replace(storage_path() . '/logs/', '', $log))) }}" class="btn btn-small" title="Visualizar">
                                <i class="icon-search"></i> visualizar
                            </a>

                            <a href="{{ route('manager.logs.destroy', urlencode(str_replace(storage_path() . '/logs/', '', $log))) }}" class="btn btn-small" data-delete="true" title="Excluir">
                                <i class="icon-trash"></i> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
