@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li class="active">Páginas</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Páginas</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.pages.create') }}" class="btn btn-primary">Inserir nova página</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    {{ Msg::getAll() }}

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>#</th>
                <th>Página</th>
                <th>Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($pages as $page)
                <tr>
                    <td>{{ $page->id }}</td>
                    <td>{{ $page->title }}</td>
                    <td>
                        <div class="btn-group">
                            <a href="{{ route('manager.pages.edit', $page->id) }}" class="btn btn-small">
                                <i class="icon-pencil"></i> editar
                            </a>

                            <a href="{{ route('manager.pages.destroy', $page->id) }}" class="btn btn-small" data-delete="true">
                                <i class="icon-trash"></i> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
