@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="#">Home</a> <span class="divider">/</span></li>
        <li><a href="#">Usuários</a> <span class="divider">/</span></li>
        <li class="active">Refazer minha senha</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Esqueci minha senha</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.home') }}" class="btn">Cancelar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    <form action="{{ route('manager.usuarios.reset.update') }}" method="post" id="form-reset-password" class="form-horizontal">
         <input type="hidden" name="token" value="{{ $token }}" />

        <fieldset>
            <div class="control-group">
                <label for="email" class="control-label">E-mail</label>

                <div class="controls">
                    <input type="email" name="email" id="email" class="input-xxlarge" value="{{ $userReminder->email }}" readonly />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="password" class="control-label">Nova senha</label>

                <div class="controls">
                    <input type="password" name="password" id="password" class="input-xxlarge" required minlength="6" autofocus />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="password_confirmation" class="control-label">Confirme sua nova senha</label>

                <div class="controls">
                    <input type="password" name="password_confirmation" id="password_confirmation" class="input-xxlarge" required minlength="6" equalTo="#password" />
                </div><!-- .controls -->
            </div><!-- .control-group -->
        </fieldset>

        <div class="form-actions">
            <input type="submit" class="btn btn-primary js-btn-submit" value="Salvar nova senha" data-loading-text="Aguarde, salvando..." />
        </div><!-- .form-actions -->
    </form>
@stop

@section('scripts')
    @parent

    <script type"text/javascript">
        $('#form-reset-password').validate({
            submitHandler: function(form) {
                $('.js-btn-submit').button('loading');

                form.submit();
            }
        });
    </script>
@stop
